<?php
/**
 * w3layouts Theme About page Customizer
 *
 * @package w3layouts
 */

$w3layouts_About_settings=new w3layouts_About_customizer_settings();

class w3layouts_About_customizer_settings {
    // Get our default values
    // private $defaults;

    public function __construct() {
        // add_action( 'customize_register', array( $this, 'w3layouts_about_cust_register' ) );
        add_action('customize_register', array($this, 'w3layouts_AboutPage_panels'));



    }

    public function w3layouts_AboutPage_panels($wp_customize) {
        /**
 		 * Add our Header & Navigation Panel
 		 */
        $wp_customize->add_panel('AboutPage_panel',
            array('title'=> __('About Page Customize', 'w3layouts'),
                'priority'=> 30,
                'description'=> esc_html__('add and update AboutPage data.', 'w3layouts')));

        $wp_customize->add_section('AllPagesBreadcrumbs',
            array('title'=> __('Breadcrumbs Required', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'AboutPage_panel'
            ));

        $wp_customize->add_section('AboutPageAboutSection',
            array('title'=> __('Section 2 About', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'AboutPage_panel'
            ));

        $wp_customize->add_section('AboutPageCoverSection',
            array('title'=> __('Section 3 Cover', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'AboutPage_panel'
            ));

        $wp_customize->add_section('AboutPageFeaturesSection',
			array('title'=> __('Section 4 Features', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'AboutPage_panel'
			));

        $wp_customize->add_section('AboutPageStatsSection',
            array('title'=> __('Section 5 Stats', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'AboutPage_panel'
            ));
        $wp_customize->add_section('AboutPageProgressSection',
            array('title'=> __('Section 6 Progress', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'AboutPage_panel'
            ));

        $wp_customize->add_section('AboutPageTeamSection',
            array('title'=> __('Section 7 Team', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'AboutPage_panel'
            ));





        /** All pages breadcrumbs section starts **/
        $wp_customize->add_setting('BreadcrumbsRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BreadcrumbsRequired',
                array('label'=> __('Breadcrumbs Required', 'w3layouts'),
                    'section'=> 'AllPagesBreadcrumbs',
                    'settings'=> 'BreadcrumbsRequired',
                    'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('BreadcrumbsRequired', array('selector'=> 'div.AllBreadcrumbs', // You can also select a css class
            ));
        /** All pages breadcrumbs section ends **/




        /** AboutPage About Section starts **/

        $wp_customize->add_setting('AboutPageAboutRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageAboutRequired',
                array('label'=> __('AboutPage About Section Required', 'w3layouts'),
                    'section'=> 'AboutPageAboutSection',
                    'settings'=> 'AboutPageAboutRequired',
                    'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('AboutPageAboutRequired', array('selector'=> 'div.AboutPageAbout', // You can also select a css class
            ));

        $wp_customize->add_setting('AboutPageAboutTitle', array('default'=> "About us",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageAboutTitle',
                array('label'=> __('About Section Title', 'w3layouts'),
                    'section'=> 'AboutPageAboutSection',
                    'settings'=> 'AboutPageAboutTitle'
                )));

        $wp_customize->add_setting('AboutPageAboutLeftTitle', array('default'=> "Professional care that is reliable at affordable price",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageAboutLeftTitle',
                array('label'=> __('About Left Title', 'w3layouts'),
                    'section'=> 'AboutPageAboutSection',
                    'settings'=> 'AboutPageAboutLeftTitle'
                )));
        $wp_customize->add_setting('AboutPageAboutContent1', array('default'=> 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Voluptatem, enim? Vel quos modi et minus voluptates voluptas fuga blanditiis aut ut impedit, odio voluptatibus eum minima ex similique, in quo? Eligendi hic eveniet rem, sed, dolore corporis repudiandae amet quos cumque harum optio minima adipisci.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageAboutContent1',
            array('label'=> __('About Left Para1', 'w3layouts'),
                'section'=> 'AboutPageAboutSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        $wp_customize->add_setting('AboutPageAboutContent2', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Incidunt blanditiis magnam quibusdam cum consequatur eum a! Natus nobis repudiandae iusto aliquam adipisci necessitatibus, nostrum perspiciatis recusandae ipsa amet numquam earum, quae quo totam doloribus explicabo.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageAboutContent2',
            array('label'=> __('About Left Para2', 'w3layouts'),
                'section'=> 'AboutPageAboutSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        $wp_customize->add_setting('AboutPageAboutBtnURL', array('default'=> '#url',
        'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageAboutBtnURL',
                array('label'=> __('About Left Button URL', 'w3layouts'),
                'section'=> 'AboutPageAboutSection',
                'settings'=> 'AboutPageAboutBtnURL'
                )));

        $wp_customize->add_setting('AboutPageAboutBtnTxt', array('default'=> 'Learn More',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageAboutBtnTxt',
            array('label'=> __('About Left Button Text', 'w3layouts'),
            'section'=> 'AboutPageAboutSection',
            'settings'=> 'AboutPageAboutBtnTxt'
        )));
        
        $wp_customize->add_setting('AboutPageAboutImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageAboutImage',
            array('label'=> __('About Right image'),
            'description'=> esc_html__(''),
            'section'=> 'AboutPageAboutSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 640, // Optional. Default: 150
            'height'=> 600, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));
            
        // AboutPage About Section top & bottom  textarea

        $wp_customize->add_setting('AboutPageAboutTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageAboutTopArea',
                array('label'=> __('About Top', 'w3layouts'),
                    'section'=> 'AboutPageAboutSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('AboutPageAboutBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageAboutBottomArea',
                array('label'=> __('About Bottom', 'w3layouts'),
                    'section'=> 'AboutPageAboutSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        // AboutPage About Section top & bottom  textarea

        /** AboutPage About Section ends **/




        /** AboutPage Cover section starts **/

        $wp_customize->add_setting('AboutPageCoverRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageCoverRequired',
                array('label'=> __('AboutPage Cover Section Required', 'w3layouts'),
                    'section'=> 'AboutPageCoverSection',
                    'settings'=> 'AboutPageCoverRequired',
                    'priority'=> 1)));

        $wp_customize->selective_refresh->add_partial('AboutPageCoverRequired', array('selector'=> 'div.AboutPageCover', // You can also select a css class
            ));

        $wp_customize->add_setting('AboutPageCoverBgImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageCoverBgImage',
            array('label'=> __('About Cover Bg image'),
            'description'=> esc_html__(''),
            'section'=> 'AboutPageCoverSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 1760, // Optional. Default: 150
            'height'=> 900, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('AboutPageCoverTitle', array('default'=> "Trust Us, We Save Your Time.",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageCoverTitle',
                array('label'=> __('AboutPage Cover Title', 'w3layouts'),
                    'section'=> 'AboutPageCoverSection',
                    'settings'=> 'AboutPageCoverTitle',
                )));
        $wp_customize->add_setting('AboutPageCoverContent', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Nulla non ipsum soluta perferendis veniam qui esse magnam commodi quisquam vitae labore nemo at voluptatem, totam, minima recusandae assumenda. Sequi molestiae ex nihil ducimus modi blanditiis iure explicabo quas veritatis quasi.',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageCoverContent',
                array('label'=> __('AboutPage Cover Content', 'w3layouts'),
                    'section'=> 'AboutPageCoverSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        
		$wp_customize->add_setting('AboutPageCoverBtnURL', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageCoverBtnURL',
                array('label'=> __('Cover Button URL', 'w3layouts'),
                    'section'=> 'AboutPageCoverSection',
                    'settings'=> 'AboutPageCoverBtnURL'
                )));

        $wp_customize->add_setting('AboutPageCoverBtnTxt', array('default'=> 'Read More',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageCoverBtnTxt',
                array('label'=> __('Cover Button Text', 'w3layouts'),
                    'section'=> 'AboutPageCoverSection',
                    'settings'=> 'AboutPageCoverBtnTxt'
                )));

        // AboutPage Cover Section top & bottom  textarea

        $wp_customize->add_setting('AboutPageCoverTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageCoverTopArea',
                array('label'=> __('Cover Top', 'w3layouts'),
                    'section'=> 'AboutPageCoverSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('AboutPageCoverBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageCoverBottomArea',
                array('label'=> __('Cover Bottom', 'w3layouts'),
                    'section'=> 'AboutPageCoverSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        // AboutPage Cover Section top & bottom  textarea

        /** AboutPage Cover section ends **/

        
        

		/** AboutPage Features section starts **/

		$wp_customize->add_setting('AboutPageFeaturesRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageFeaturesRequired',
                array('label'=> __('AboutPage Features Section Required', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeaturesRequired',
                    'priority'=> 1)));

        $wp_customize->selective_refresh->add_partial('AboutPageFeaturesRequired', array('selector'=> 'div.AboutFeatures', // You can also select a css class
            ));

        $wp_customize->add_setting('AboutPageFeaturesTitle', array('default'=> 'We Specialize in',
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageFeaturesTitle',
            array('label'=> __('AboutPage Features Title', 'w3layouts'),
                'section'=> 'AboutPageFeaturesSection',
                'settings'=> 'AboutPageFeaturesTitle'
            )));

        // Feature 1 grid starts
        $wp_customize->add_setting('AboutPageFeature1Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageFeature1Required',
                array('label'=> __('AboutPage Feature1 Grid Required', 'w3layouts'),					
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature1Required'
                )));

        $wp_customize->add_setting('AboutPageFeature1Url', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature1Url',
                array('label'=> __('AboutPage Feature 1 URL', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature1Url'
                )));

        $wp_customize->add_setting('AboutPageFeature1Icon', array('default'=> 'fa fa-map-o',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature1Icon',
                array('label'=> __('AboutPage Feature 1 Icon', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature1Icon'
                )));

        $wp_customize->add_setting('AboutPageFeature1Title', array('default'=> "Stream Iron Service",
                'transport'=> 'refresh',
            ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature1Title',
                array('label'=> __('AboutPage Feature 1 Title', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature1Title',
                )));

        $wp_customize->add_setting('AboutPageFeature1Content', array('default'=> 'Lorem ipsum dolor sit amet, consectetur adipisicingelit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua, quis nostrud.',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature1Content',
                array('label'=> __('AboutPage Feature 1 Content', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        // Feature 1 grid ends


        // Feature2 grid starts
        $wp_customize->add_setting('AboutPageFeature2Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageFeature2Required',
                array('label'=> __('AboutPage Feature2 Grid Required', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature2Required'
                )));
        $wp_customize->add_setting('AboutPageFeature2Url', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature2Url',
                array('label'=> __('AboutPage Feature2 URL', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature2Url'
                )));

        $wp_customize->add_setting('AboutPageFeature2Icon', array('default'=> 'fa fa-shirtsinbulk',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature2Icon',
                array('label'=> __('AboutPage Feature2 Icon', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature2Icon'
                )));

        $wp_customize->add_setting('AboutPageFeature2Title', array('default'=> "Dry Cleaning Service",
                'transport'=> 'refresh',
            ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature2Title',
                array('label'=> __('AboutPage Feature2 Title', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature2Title',
                )));

        $wp_customize->add_setting('AboutPageFeature2Content', array('default'=> 'Lorem ipsum dolor sit amet, consectetur adipisicingelit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua, quis nostrud.',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature2Content',
                array('label'=> __('AboutPage Feature2 Content', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        // Feature2 grid ends


        // Feature3 grid starts
        $wp_customize->add_setting('AboutPageFeature3Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageFeature3Required',
                array('label'=> __('AboutPage Feature3 Grid Required', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature3Required'
                )));

        $wp_customize->add_setting('AboutPageFeature3Url', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature3Url',
                array('label'=> __('AboutPage Feature3 URL', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature3Url'
                )));
        $wp_customize->add_setting('AboutPageFeature3Icon', array('default'=> 'fa fa-envira',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature3Icon',
                array('label'=> __('AboutPage Feature3 Icon', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature3Icon'
                )));

        $wp_customize->add_setting('AboutPageFeature3Title', array('default'=> "Stain Removal",
                'transport'=> 'refresh',
            ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature3Title',
                array('label'=> __('AboutPage Feature3 Title', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature3Title',
                )));

        $wp_customize->add_setting('AboutPageFeature3Content', array('default'=> 'Lorem ipsum dolor sit amet, consectetur adipisicingelit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua, quis nostrud.',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature3Content',
                array('label'=> __('AboutPage Feature3 Content', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // Feature3 grid ends

        // Feature4 grid starts
        $wp_customize->add_setting('AboutPageFeature4Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageFeature4Required',
                array('label'=> __('AboutPage Feature4 Grid Required', 'w3layouts'),					
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature4Required'
                )));

        $wp_customize->add_setting('AboutPageFeature4Url', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature4Url',
                array('label'=> __('AboutPage Feature4 URL', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature4Url'
                )));

        $wp_customize->add_setting('AboutPageFeature4Icon', array('default'=> 'fa fa-bar-chart',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature4Icon',
                array('label'=> __('AboutPage Feature4 Icon', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature4Icon'
                )));

        $wp_customize->add_setting('AboutPageFeature4Title', array('default'=> "Curtains & Drapery",
                'transport'=> 'refresh',
            ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature4Title',
                array('label'=> __('AboutPage Feature4 Title', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature4Title',
                )));

        $wp_customize->add_setting('AboutPageFeature4Content', array('default'=> 'Lorem ipsum dolor sit amet, consectetur adipisicingelit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua, quis nostrud.',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature4Content',
                array('label'=> __('AboutPage Feature4 Content', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        // Feature4 grid ends

        // Feature5 grid starts
        $wp_customize->add_setting('AboutPageFeature5Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageFeature5Required',
                array('label'=> __('AboutPage Feature5 Grid Required', 'w3layouts'),					
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature5Required'
                )));

        $wp_customize->add_setting('AboutPageFeature5Url', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature5Url',
                array('label'=> __('AboutPage Feature5 URL', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature5Url'
                )));

        $wp_customize->add_setting('AboutPageFeature5Icon', array('default'=> 'fa fa-codepen',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature5Icon',
                array('label'=> __('AboutPage Feature5 Icon', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature5Icon'
                )));

        $wp_customize->add_setting('AboutPageFeature5Title', array('default'=> "Silk & Suede",
                'transport'=> 'refresh',
            ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature5Title',
                array('label'=> __('AboutPage Feature5 Title', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature5Title',
                )));

        $wp_customize->add_setting('AboutPageFeature5Content', array('default'=> 'Lorem ipsum dolor sit amet, consectetur adipisicingelit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua, quis nostrud.',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature5Content',
                array('label'=> __('AboutPage Feature5 Content', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        // Feature5 grid ends

        // Feature6 grid starts
        $wp_customize->add_setting('AboutPageFeature6Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageFeature6Required',
                array('label'=> __('AboutPage Feature6 Grid Required', 'w3layouts'),					
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature6Required'
                )));

        $wp_customize->add_setting('AboutPageFeature6Url', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature6Url',
                array('label'=> __('AboutPage Feature6 URL', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature6Url'
                )));

        $wp_customize->add_setting('AboutPageFeature6Icon', array('default'=> 'fa fa-modx',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature6Icon',
                array('label'=> __('AboutPage Feature6 Icon', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature6Icon'
                )));

        $wp_customize->add_setting('AboutPageFeature6Title', array('default'=> "Commercial Laundry",
                'transport'=> 'refresh',
            ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature6Title',
                array('label'=> __('AboutPage Feature6 Title', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'settings'=> 'AboutPageFeature6Title',
                )));

        $wp_customize->add_setting('AboutPageFeature6Content', array('default'=> 'Lorem ipsum dolor sit amet, consectetur adipisicingelit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua, quis nostrud.',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeature6Content',
                array('label'=> __('AboutPage Feature6 Content', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        // Feature6 grid ends

        // AboutPage Features top & bottom area textarea

        $wp_customize->add_setting('AboutPageFeaturesTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeaturesTopArea',
                array('label'=> __('AboutPage Features Top', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('AboutPageFeaturesBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageFeaturesBottomArea',
                array('label'=> __('AboutPage Features Bottom', 'w3layouts'),
                    'section'=> 'AboutPageFeaturesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // AboutPage Features top & bottom area textarea

        /** AboutPage Features section ends **/





		/** AboutPage Stats section starts **/

		$wp_customize->add_setting('AboutPageStatsRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageStatsRequired',
                array('label'=> __('AboutPage Stats Section Required', 'w3layouts'),
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStatsRequired',
                    'priority'=> 1)));

        $wp_customize->selective_refresh->add_partial('AboutPageStatsRequired', array('selector'=> 'div.AboutPageStats', // You can also select a css class
            ));

        $wp_customize->add_setting('AboutPageStatsTitle', array('default'=> 'Fun Facts',
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageStatsTitle',
            array('label'=> __('AboutPage Stats Title', 'w3layouts'),
                'section'=> 'AboutPageStatsSection',
                'settings'=> 'AboutPageStatsTitle'
            )));

        // Stats1 grid starts
        $wp_customize->add_setting('AboutPageStats1Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageStats1Required',
                array('label'=> __('AboutPage Stats1 Required', 'w3layouts'),					
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats1Required'
                )));

        $wp_customize->add_setting('AboutPageStats1Icon', array('default'=> 'fa fa-smile-o',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageStats1Icon',
                array('label'=> __('AboutPage Stats1 Icon', 'w3layouts'),
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats1Icon'
                )));

        $wp_customize->add_setting('AboutPageStats1Number', array('default'=> '245',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageStats1Number',
                array('label'=> __('AboutPage Stats1 Number', 'w3layouts'),
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats1Number'
                )));

        $wp_customize->add_setting('AboutPageStats1Title', array('default'=> "Happy Clients",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageStats1Title',
                array('label'=> __('AboutPage Stats1 Title', 'w3layouts'),
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats1Title',
                )));

        // Stats2 grid starts
        $wp_customize->add_setting('AboutPageStats2Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageStats2Required',
                array('label'=> __('AboutPage Stats2 Required', 'w3layouts'),					
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats2Required'
                )));

        $wp_customize->add_setting('AboutPageStats2Icon', array('default'=> 'fa fa-thumbs-o-up',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageStats2Icon',
                array('label'=> __('AboutPage Stats2 Icon', 'w3layouts'),
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats2Icon'
                )));

        $wp_customize->add_setting('AboutPageStats2Number', array('default'=> '563',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageStats2Number',
                array('label'=> __('AboutPage Stats2 Number', 'w3layouts'),
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats2Number'
                )));

        $wp_customize->add_setting('AboutPageStats2Title', array('default'=> "People likes us",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageStats2Title',
                array('label'=> __('AboutPage Stats2 Title', 'w3layouts'),
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats2Title',
                )));

        // Stats3 grid starts
        $wp_customize->add_setting('AboutPageStats3Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageStats3Required',
                array('label'=> __('AboutPage Stats3 Required', 'w3layouts'),					
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats3Required'
                )));

        $wp_customize->add_setting('AboutPageStats3Icon', array('default'=> 'fa fa-history',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageStats3Icon',
                array('label'=> __('AboutPage Stats3 Icon', 'w3layouts'),
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats3Icon'
                )));

        $wp_customize->add_setting('AboutPageStats3Number', array('default'=> '114',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageStats3Number',
                array('label'=> __('AboutPage Stats3 Number', 'w3layouts'),
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats3Number'
                )));

        $wp_customize->add_setting('AboutPageStats3Title', array('default'=> "Year of Experience",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageStats3Title',
                array('label'=> __('AboutPage Stats3 Title', 'w3layouts'),
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats3Title',
                )));

        // Stats4 grid starts
        $wp_customize->add_setting('AboutPageStats4Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageStats4Required',
                array('label'=> __('AboutPage Stats4 Required', 'w3layouts'),					
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats4Required'
                )));

        $wp_customize->add_setting('AboutPageStats4Icon', array('default'=> 'fa fa-heart',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageStats4Icon',
                array('label'=> __('AboutPage Stats4 Icon', 'w3layouts'),
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats4Icon'
                )));

        $wp_customize->add_setting('AboutPageStats4Number', array('default'=> '104',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageStats4Number',
                array('label'=> __('AboutPage Stats4 Number', 'w3layouts'),
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats4Number'
                )));

        $wp_customize->add_setting('AboutPageStats4Title', array('default'=> "Awesome service",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageStats4Title',
                array('label'=> __('AboutPage Stats4 Title', 'w3layouts'),
                    'section'=> 'AboutPageStatsSection',
                    'settings'=> 'AboutPageStats4Title',
                )));

        // AboutPage Stats top & bottom area textarea

        $wp_customize->add_setting('AboutPageStatsTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageStatsTopArea',
                array('label'=> __('AboutPage Stats Top', 'w3layouts'),
                    'section'=> 'AboutPageStatsSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('AboutPageStatsBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageStatsBottomArea',
                array('label'=> __('AboutPage Stats Bottom', 'w3layouts'),
                    'section'=> 'AboutPageStatsSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // AboutPage Stats top & bottom area textarea

        /** AboutPage Stats section ends **/





        /** AboutPage Progress section starts **/

        $wp_customize->add_setting('AboutPageProgressRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageProgressRequired',
                array('label'=> __('AboutPage Progress Section Required', 'w3layouts'),
                    'section'=> 'AboutPageProgressSection',
                    'settings'=> 'AboutPageProgressRequired',
                    'priority'=> 1)));

        $wp_customize->selective_refresh->add_partial('AboutPageProgressRequired', array('selector'=> 'div.AboutPageProgress', // You can also select a css class
            ));

        $wp_customize->add_setting('AboutPageProgressImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));

        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageProgressImage',
                array('label'=> __('Progress Section image'),
                'description'=> esc_html__(''),
                'section'=> 'AboutPageProgressSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 640, // Optional. Default: 150
                'height'=> 600, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));
            
        $wp_customize->add_setting('AboutPageProgressTitle', array('default'=> "We are true to ourselves, and commit to always perform at our best.",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageProgressTitle',
                array('label'=> __('Progress Right Title', 'w3layouts'),
                    'section'=> 'AboutPageProgressSection',
                    'settings'=> 'AboutPageProgressTitle',
                )));
                
        $wp_customize->add_setting('AboutPageProgressContent', array('default'=> 'Lorem, ipsum dolor sit amet consectetur adipisicing elit. Delectus eligendi nostrum aperiam ex labore unde nisi libero tempore ab, ad voluptatem ullam natus quia corporis sequi at iure. Reprehenderit quae qui ratione nesciunt illum consectetur corporis repellendus unde tempore voluptatem.',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageProgressContent',
                array('label'=> __('Progress Right Content', 'w3layouts'),
                    'section'=> 'AboutPageProgressSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        // Progress bar 1 starts
        $wp_customize->add_setting('AboutPageProgress1Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageProgress1Required',
                array('label'=> __('ProgressBar 1 Required', 'w3layouts'),
                    'section'=> 'AboutPageProgressSection',
                    'settings'=> 'AboutPageProgress1Required'
                )));

        $wp_customize->add_setting('AboutPageProgress1Title', array('default'=> 'Quality',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageProgress1Title',
                array('label'=> __('ProgressBar 1 Title', 'w3layouts'),
                    'section'=> 'AboutPageProgressSection',
                    'settings'=> 'AboutPageProgress1Title'
                )));
        // Progress bar 1 ends


        // Progress bar 2 starts
        $wp_customize->add_setting('AboutPageProgress2Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageProgress2Required',
                array('label'=> __('ProgressBar 2 Required', 'w3layouts'),
                    'section'=> 'AboutPageProgressSection',
                    'settings'=> 'AboutPageProgress2Required'
                )));

        $wp_customize->add_setting('AboutPageProgress2Title', array('default'=> 'Cleaning',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageProgress2Title',
                array('label'=> __('ProgressBar 2 Title', 'w3layouts'),
                    'section'=> 'AboutPageProgressSection',
                    'settings'=> 'AboutPageProgress2Title'
                )));
        // Progress bar 2 ends

        // Progress bar 3 starts
        $wp_customize->add_setting('AboutPageProgress3Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageProgress3Required',
                array('label'=> __('ProgressBar 3 Required', 'w3layouts'),
                    'section'=> 'AboutPageProgressSection',
                    'settings'=> 'AboutPageProgress3Required'
                )));

        $wp_customize->add_setting('AboutPageProgress3Title', array('default'=> 'Clothing',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageProgress3Title',
                array('label'=> __('ProgressBar 3 Title', 'w3layouts'),
                    'section'=> 'AboutPageProgressSection',
                    'settings'=> 'AboutPageProgress3Title'
                )));
        // Progress bar 3 ends

        // AboutPage Progress top & bottom area textarea

        $wp_customize->add_setting('AboutPageProgressTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageProgressTopArea',
                array('label'=> __('AboutPage Progress Top', 'w3layouts'),
                    'section'=> 'AboutPageProgressSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('AboutPageProgressBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageProgressBottomArea',
                array('label'=> __('AboutPage Progress Bottom', 'w3layouts'),
                    'section'=> 'AboutPageProgressSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // AboutPage Progress top & bottom area textarea

        /** AboutPage Progress section ends **/



        /** AboutPage Team starts **/

        $wp_customize->add_setting('AboutPageTeamRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeamRequired',
                array('label'=> __('AboutPage Team Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeamRequired',
                    'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('AboutPageTeamRequired', array('selector'=> 'div.AboutPageTeam', // You can also select a css class
            ));

        $wp_customize->add_setting('AboutPageTeamTitle', array('default'=> 'Meet our People',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeamTitle',
                array('label'=> __('Team Title', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeamTitle'
                )));

        // Team 1
        $wp_customize->add_setting('AboutPageTeam1Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam1Required',
                array('label'=> __('Team1 Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1Required'
                )));

        $wp_customize->add_setting('AboutPageTeam1Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));

        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTeam1Image',
                array('label'=> __('Team1 image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTeamSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 600, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                        'select'=> __('Select Image'),
                        'change'=> __('Change Image'),
                        'remove'=> __('Remove'),
                        'default'=> __('Default'),
                        'placeholder'=> __('No image selected'),
                        'frame_title'=> __('Select Image'),
                        'frame_button'=> __('Choose Image'),
                    ))));

        $wp_customize->add_setting('AboutPageTeam1Title', array('default'=> 'Charles Rock',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam1Title',
                array('label'=> __('Team1 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1Title'
                )));

        $wp_customize->add_setting('AboutPageTeam1TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam1TitleUrl',
                array('label'=> __('URL Link to Team1 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1TitleUrl'
                )));

        $wp_customize->add_setting('AboutPageTeam1Designation', array('default'=> 'Operations Manager',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam1Designation',
                array('label'=> __('Team1 Designation', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1Designation'
                )));

        $wp_customize->add_setting('AboutPageTeam1SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam1SocialFacebook',
                array('label'=> __('Team1 Facebook Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1SocialFacebook'
                )));

        $wp_customize->add_setting('AboutPageTeam1SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam1SocialFacebookURL',
                array('label'=> __('Team1 FaceBook URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1SocialFacebookURL'
                )));

        $wp_customize->add_setting('AboutPageTeam1SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam1SocialTwitter',
                array('label'=> __('Team1 Twitter Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1SocialTwitter'
                )));

        $wp_customize->add_setting('AboutPageTeam1SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam1SocialTwitterURL',
                array('label'=> __('Team1 Twitter URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1SocialTwitterURL'
                )));

        $wp_customize->add_setting('AboutPageTeam1SocialInstagram',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam1SocialInstagram',
                array('label'=> __('Team1 Instagram Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1SocialInstagram'
                )));

        $wp_customize->add_setting('AboutPageTeam1SocialInstagramURL', array('default'=> 'https://instagram.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam1SocialInstagramURL',
                array('label'=> __('Team1 Instagram URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1SocialInstagramURL'
                )));
        // Team 1


        // Team 2
        $wp_customize->add_setting('AboutPageTeam2Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam2Required',
                array('label'=> __('Team2 Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2Required'
                )));

        $wp_customize->add_setting('AboutPageTeam2Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTeam2Image',
                array('label'=> __('Team2 image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTeamSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 600, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                        'select'=> __('Select Image'),
                        'change'=> __('Change Image'),
                        'remove'=> __('Remove'),
                        'default'=> __('Default'),
                        'placeholder'=> __('No image selected'),
                        'frame_title'=> __('Select Image'),
                        'frame_button'=> __('Choose Image'),
                    ))));

        $wp_customize->add_setting('AboutPageTeam2Title', array('default'=> 'Justin Stein',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam2Title',
                array('label'=> __('Team2 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2Title'
                )));

        $wp_customize->add_setting('AboutPageTeam2TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam2TitleUrl',
                array('label'=> __('URL Link to Team2 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2TitleUrl'
                )));

        $wp_customize->add_setting('AboutPageTeam2Designation', array('default'=> 'Service Manager',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam2Designation',
                array('label'=> __('Team2 Designation', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2Designation'
                )));

        $wp_customize->add_setting('AboutPageTeam2SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam2SocialFacebook',
                array('label'=> __('Team2 Facebook Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2SocialFacebook'
                )));

        $wp_customize->add_setting('AboutPageTeam2SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam2SocialFacebookURL',
                array('label'=> __('Team2 FaceBook URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2SocialFacebookURL'
                )));

        $wp_customize->add_setting('AboutPageTeam2SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam2SocialTwitter',
                array('label'=> __('Team2 Twitter Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2SocialTwitter'
                )));

        $wp_customize->add_setting('AboutPageTeam2SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam2SocialTwitterURL',
                array('label'=> __('Team2 Twitter URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2SocialTwitterURL'
                )));

        $wp_customize->add_setting('AboutPageTeam2SocialInstagram',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam2SocialInstagram',
                array('label'=> __('Team2 Instagram Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2SocialInstagram'
                )));

        $wp_customize->add_setting('AboutPageTeam2SocialInstagramURL', array('default'=> 'https://instagram.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam2SocialInstagramURL',
                array('label'=> __('Team2 Instagram URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2SocialInstagramURL'
                )));
        // Team 2


        // Team 3
        $wp_customize->add_setting('AboutPageTeam3Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam3Required',
                array('label'=> __('Team3 Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3Required'
                )));

        $wp_customize->add_setting('AboutPageTeam3Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTeam3Image',
                array('label'=> __('Team3 image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTeamSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 600, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                        'select'=> __('Select Image'),
                        'change'=> __('Change Image'),
                        'remove'=> __('Remove'),
                        'default'=> __('Default'),
                        'placeholder'=> __('No image selected'),
                        'frame_title'=> __('Select Image'),
                        'frame_button'=> __('Choose Image'),
                    ))));

        $wp_customize->add_setting('AboutPageTeam3Title', array('default'=> 'Amy Hellickson',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam3Title',
                array('label'=> __('Team3 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3Title'
                )));

        $wp_customize->add_setting('AboutPageTeam3TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam3TitleUrl',
                array('label'=> __('URL Link to Team3 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3TitleUrl'
                )));

        $wp_customize->add_setting('AboutPageTeam3Designation', array('default'=> 'Wash expert',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam3Designation',
                array('label'=> __('Team3 Designation', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3Designation'
                )));

        $wp_customize->add_setting('AboutPageTeam3SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam3SocialFacebook',
                array('label'=> __('Team 3 Facebook Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3SocialFacebook'
                )));

        $wp_customize->add_setting('AboutPageTeam3SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam3SocialFacebookURL',
                array('label'=> __('Team3 FaceBook URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3SocialFacebookURL'
                )));

        $wp_customize->add_setting('AboutPageTeam3SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam3SocialTwitter',
                array('label'=> __('Team3 Twitter Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3SocialTwitter'
                )));

        $wp_customize->add_setting('AboutPageTeam3SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
            'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageTeam3SocialTwitterURL',
            array('label'=> __('Team3 Twitter URL', 'w3layouts'),
                'section'=> 'AboutPageTeamSection',
                'settings'=> 'AboutPageTeam3SocialTwitterURL'
            )));
    
        $wp_customize->add_setting('AboutPageTeam3SocialInstagram',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam3SocialInstagram',
                array('label'=> __('Team3 Instagram Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3SocialInstagram'
                )));

        $wp_customize->add_setting('AboutPageTeam3SocialInstagramURL', array('default'=> 'https://instagram.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam3SocialInstagramURL',
                array('label'=> __('Team3 Instagram URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3SocialInstagramURL'
                )));
        // Team 3


        // Team4
        $wp_customize->add_setting('AboutPageTeam4Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam4Required',
                array('label'=> __('Team4 Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4Required'
                )));

        $wp_customize->add_setting('AboutPageTeam4Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTeam4Image',
                array('label'=> __('Team4 image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTeamSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 600, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                        'select'=> __('Select Image'),
                        'change'=> __('Change Image'),
                        'remove'=> __('Remove'),
                        'default'=> __('Default'),
                        'placeholder'=> __('No image selected'),
                        'frame_title'=> __('Select Image'),
                        'frame_button'=> __('Choose Image'),
                    ))));

        $wp_customize->add_setting('AboutPageTeam4Title', array('default'=> 'Alan Gomes',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam4Title',
                array('label'=> __('Team4 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4Title'
                )));

        $wp_customize->add_setting('AboutPageTeam4TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam4TitleUrl',
                array('label'=> __('URL Link to Team4 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4TitleUrl'
                )));

        $wp_customize->add_setting('AboutPageTeam4Designation', array('default'=> 'Dry cleaning expert',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam4Designation',
                array('label'=> __('Team4 Designation', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4Designation'
                )));

        $wp_customize->add_setting('AboutPageTeam4SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam4SocialFacebook',
                array('label'=> __('Team4 Facebook Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4SocialFacebook'
                )));

        $wp_customize->add_setting('AboutPageTeam4SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam4SocialFacebookURL',
                array('label'=> __('Team4 FaceBook URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4SocialFacebookURL'
                )));

        $wp_customize->add_setting('AboutPageTeam4SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam4SocialTwitter',
                array('label'=> __('Team4 Twitter Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4SocialTwitter'
                )));

        $wp_customize->add_setting('AboutPageTeam4SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam4SocialTwitterURL',
                array('label'=> __('Team4 Twitter URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4SocialTwitterURL'
                )));

        $wp_customize->add_setting('AboutPageTeam4SocialInstagram',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam4SocialInstagram',
                array('label'=> __('Team4 Instagram Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4SocialInstagram'
                )));

        $wp_customize->add_setting('AboutPageTeam4SocialInstagramURL', array('default'=> 'https://instagram.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam4SocialInstagramURL',
                array('label'=> __('Team4 Instagram URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4SocialInstagramURL'
                )));
        // Team4

        // Team5
        $wp_customize->add_setting('AboutPageTeam5Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam5Required',
                array('label'=> __('Team5 Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam5Required'
                )));

        $wp_customize->add_setting('AboutPageTeam5Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTeam5Image',
                array('label'=> __('Team5 image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTeamSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 600, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                        'select'=> __('Select Image'),
                        'change'=> __('Change Image'),
                        'remove'=> __('Remove'),
                        'default'=> __('Default'),
                        'placeholder'=> __('No image selected'),
                        'frame_title'=> __('Select Image'),
                        'frame_button'=> __('Choose Image'),
                    ))));

        $wp_customize->add_setting('AboutPageTeam5Title', array('default'=> 'Bradley',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam5Title',
                array('label'=> __('Team5 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam5Title'
                )));

        $wp_customize->add_setting('AboutPageTeam5TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam5TitleUrl',
                array('label'=> __('URL Link to Team5 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam5TitleUrl'
                )));

        $wp_customize->add_setting('AboutPageTeam5Designation', array('default'=> 'Dry cleaning expert',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam5Designation',
                array('label'=> __('Team5 Designation', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam5Designation'
                )));

        $wp_customize->add_setting('AboutPageTeam5SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam5SocialFacebook',
                array('label'=> __('Team5 Facebook Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam5SocialFacebook'
                )));

        $wp_customize->add_setting('AboutPageTeam5SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam5SocialFacebookURL',
                array('label'=> __('Team5 FaceBook URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam5SocialFacebookURL'
                )));

        $wp_customize->add_setting('AboutPageTeam5SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam5SocialTwitter',
                array('label'=> __('Team5 Twitter Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam5SocialTwitter'
                )));

        $wp_customize->add_setting('AboutPageTeam5SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageTeam5SocialTwitterURL',
            array('label'=> __('Team5 Twitter URL', 'w3layouts'),
                'section'=> 'AboutPageTeamSection',
                'settings'=> 'AboutPageTeam5SocialTwitterURL'
            )));
        $wp_customize->add_setting('AboutPageTeam5SocialInstagram',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam5SocialInstagram',
                array('label'=> __('Team5 Instagram Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam5SocialInstagram'
                )));

        $wp_customize->add_setting('AboutPageTeam5SocialInstagramURL', array('default'=> 'https://instagram.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam5SocialInstagramURL',
                array('label'=> __('Team5 Instagram URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam5SocialInstagramURL'
                )));
        // Team5

        // Team6
        $wp_customize->add_setting('AboutPageTeam6Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam6Required',
                array('label'=> __('Team6 Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam6Required'
                )));

        $wp_customize->add_setting('AboutPageTeam6Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTeam6Image',
                array('label'=> __('Team6 image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTeamSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 600, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                        'select'=> __('Select Image'),
                        'change'=> __('Change Image'),
                        'remove'=> __('Remove'),
                        'default'=> __('Default'),
                        'placeholder'=> __('No image selected'),
                        'frame_title'=> __('Select Image'),
                        'frame_button'=> __('Choose Image'),
                    ))));

        $wp_customize->add_setting('AboutPageTeam6Title', array('default'=> 'Camilla',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam6Title',
                array('label'=> __('Team6 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam6Title'
                )));

        $wp_customize->add_setting('AboutPageTeam6TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam6TitleUrl',
                array('label'=> __('URL Link to Team6 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam6TitleUrl'
                )));

        $wp_customize->add_setting('AboutPageTeam6Designation', array('default'=> 'Operations manager',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam6Designation',
                array('label'=> __('Team6 Designation', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam6Designation'
                )));

        $wp_customize->add_setting('AboutPageTeam6SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam6SocialFacebook',
                array('label'=> __('Team6 Facebook Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam6SocialFacebook'
                )));

        $wp_customize->add_setting('AboutPageTeam6SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam6SocialFacebookURL',
                array('label'=> __('Team6 FaceBook URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam6SocialFacebookURL'
                )));

        $wp_customize->add_setting('AboutPageTeam6SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam6SocialTwitter',
                array('label'=> __('Team6 Twitter Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam6SocialTwitter'
                )));

        $wp_customize->add_setting('AboutPageTeam6SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam6SocialTwitterURL',
                array('label'=> __('Team6 Twitter URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam6SocialTwitterURL'
                )));

        $wp_customize->add_setting('AboutPageTeam6SocialInstagram',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam6SocialInstagram',
                array('label'=> __('Team6 Instagram Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam6SocialInstagram'
                )));

        $wp_customize->add_setting('AboutPageTeam6SocialInstagramURL', array('default'=> 'https://instagram.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam6SocialInstagramURL',
                array('label'=> __('Team6 Instagram URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam6SocialInstagramURL'
                )));
        // Team6

        // Team7
        $wp_customize->add_setting('AboutPageTeam7Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam7Required',
                array('label'=> __('Team7 Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam7Required'
                )));

        $wp_customize->add_setting('AboutPageTeam7Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTeam7Image',
                array('label'=> __('Team7 image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTeamSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 600, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                        'select'=> __('Select Image'),
                        'change'=> __('Change Image'),
                        'remove'=> __('Remove'),
                        'default'=> __('Default'),
                        'placeholder'=> __('No image selected'),
                        'frame_title'=> __('Select Image'),
                        'frame_button'=> __('Choose Image'),
                    ))));

        $wp_customize->add_setting('AboutPageTeam7Title', array('default'=> 'Anthony',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam7Title',
                array('label'=> __('Team7 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam7Title'
                )));

        $wp_customize->add_setting('AboutPageTeam7TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam7TitleUrl',
                array('label'=> __('URL Link to Team7 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam7TitleUrl'
                )));

        $wp_customize->add_setting('AboutPageTeam7Designation', array('default'=> 'Service manager',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam7Designation',
                array('label'=> __('Team7 Designation', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam7Designation'
                )));

        $wp_customize->add_setting('AboutPageTeam7SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam7SocialFacebook',
                array('label'=> __('Team7 Facebook Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam7SocialFacebook'
                )));

        $wp_customize->add_setting('AboutPageTeam7SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam7SocialFacebookURL',
                array('label'=> __('TTeam7 FaceBook URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam7SocialFacebookURL'
                )));

        $wp_customize->add_setting('AboutPageTeam7SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam7SocialTwitter',
                array('label'=> __('Team7 Twitter Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam7SocialTwitter'
                )));

        $wp_customize->add_setting('AboutPageTeam7SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam7SocialTwitterURL',
                array('label'=> __('Team7 Twitter URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam7SocialTwitterURL'
                )));

        $wp_customize->add_setting('AboutPageTeam7SocialInstagram',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam7SocialInstagram',
                array('label'=> __('Team7 Instagram Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam7SocialInstagram'
                )));

        $wp_customize->add_setting('AboutPageTeam7SocialInstagramURL', array('default'=> 'https://instagram.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam7SocialInstagramURL',
                array('label'=> __('Team7 Instagram URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam7SocialInstagramURL'
                )));
        // Team7

        // Team8
        $wp_customize->add_setting('AboutPageTeam8Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam8Required',
                array('label'=> __('Team8 Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam8Required'
                )));

        $wp_customize->add_setting('AboutPageTeam8Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTeam8Image',
                array('label'=> __('Team8 image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTeamSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 600, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                        'select'=> __('Select Image'),
                        'change'=> __('Change Image'),
                        'remove'=> __('Remove'),
                        'default'=> __('Default'),
                        'placeholder'=> __('No image selected'),
                        'frame_title'=> __('Select Image'),
                        'frame_button'=> __('Choose Image'),
                    ))));

        $wp_customize->add_setting('AboutPageTeam8Title', array('default'=> 'Dennis Jack',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam8Title',
                array('label'=> __('Team8 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam8Title'
                )));

        $wp_customize->add_setting('AboutPageTeam8TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam8TitleUrl',
                array('label'=> __('URL Link to Team8 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam8TitleUrl'
                )));

        $wp_customize->add_setting('AboutPageTeam8Designation', array('default'=> 'Team lead',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam8Designation',
                array('label'=> __('Team8 Designation', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam8Designation'
                )));

        $wp_customize->add_setting('AboutPageTeam8SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam8SocialFacebook',
                array('label'=> __('Team8 Facebook Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam8SocialFacebook'
                )));

        $wp_customize->add_setting('AboutPageTeam8SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam8SocialFacebookURL',
                array('label'=> __('Team8 FaceBook URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam8SocialFacebookURL'
                )));

        $wp_customize->add_setting('AboutPageTeam8SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam8SocialTwitter',
                array('label'=> __('Team8 Twitter Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam8SocialTwitter'
                )));

        $wp_customize->add_setting('AboutPageTeam8SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam8SocialTwitterURL',
                array('label'=> __('Team8 Twitter URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam8SocialTwitterURL'
                )));

        $wp_customize->add_setting('AboutPageTeam8SocialInstagram',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam8SocialInstagram',
                array('label'=> __('Team8 Instagram Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam8SocialInstagram'
                )));

        $wp_customize->add_setting('AboutPageTeam8SocialInstagramURL', array('default'=> 'https://instagram.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam8SocialInstagramURL',
                array('label'=> __('Team8 Instagram URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam8SocialInstagramURL'
                )));
        // Team8

        // AboutPage Team top & bottom  area textarea

        $wp_customize->add_setting('AboutPageTeamTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeamTopArea',
                array('label'=> __('Team Top', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('AboutPageTeamBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeamBottomArea',
                array('label'=> __('Team Bottom', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // AboutPage Team top & bottom  area textarea

        /** AboutPage Team ends **/



    }

}